package run.evan.cellularprovip;

import android.app.Application;
import android.content.Context;

import de.robv.android.xposed.IXposedHookLoadPackage;
import de.robv.android.xposed.XC_MethodHook;
import de.robv.android.xposed.XC_MethodReplacement;
import de.robv.android.xposed.XposedBridge;
import de.robv.android.xposed.XposedHelpers;
import de.robv.android.xposed.callbacks.XC_LoadPackage;

public class MainHook  implements IXposedHookLoadPackage {
    @Override
    public void handleLoadPackage(XC_LoadPackage.LoadPackageParam loadPackageParam) throws Throwable {
        if (loadPackageParam.packageName.contains("make.more.r2d2.cellular_pro")) {
            XposedBridge.log("Cellular-Pro Xposed init");
            XposedHelpers.findAndHookMethod("com.qihoo.util.a", loadPackageParam.classLoader, "a", Context.class, new XC_MethodHook() {
                @Override
                protected void afterHookedMethod(MethodHookParam param) throws Throwable {
                    super.afterHookedMethod(param);
                    Context context = (Context)param.args[0];
                    ClassLoader classLoader = context.getClassLoader();
                    XposedHelpers.findAndHookMethod("make.more.r2d2.cellular_pro.vip.VipUtil", classLoader, "e0", new XC_MethodHook() {
                        @Override
                        protected void afterHookedMethod(MethodHookParam param) throws Throwable {
                            super.afterHookedMethod(param);
                            param.setResult(true);
                        }
                    });
                    XposedHelpers.findAndHookMethod("make.more.r2d2.cellular_pro.vip.VipUtil", classLoader, "q0", new XC_MethodHook() {
                        @Override
                        protected void afterHookedMethod(MethodHookParam param) throws Throwable {
                            super.afterHookedMethod(param);
                            param.setResult(true);
                        }
                    });


                    XposedHelpers.findAndHookMethod("make.more.r2d2.cellular_pro.vip.c", classLoader, "a", new XC_MethodReplacement() {
                        @Override
                        protected Object replaceHookedMethod(MethodHookParam methodHookParam) throws Throwable {
                            return null;
                        }
                    });


                }
            });




        }
    }
}
